Core - Bug # 44988

Status: Resolved Priority: Must have

Author: Helmut Hummel Category: File Abstraction Layer (FAL)
Created: 2013-01-30 Assigned To:

Updated: 2013-01-30 Due date:

TYPO3 Version: 6.0

PHP Version:

Complexity:

Is Regression:
Sprint Focus:

Subject:

Arbitrary image is shown, if all images are set to hidden

Description

If you add multiple images to a tt_content element
but mark all of them hidden, an image is shown which has
the uid of the number of images added to the element.

This is the case because TYPOS puts the relation count in the
field and the frontend adapter service does not reset
the field if no relations are found.

Related issues:
related to Core - Bug # 45168: Wrong image displayed in FE if not resized

Resolved

2013-02-05

Associated revisions

Revision f5674cb5 - 2013-01-30 18:28 - Helmut Hummel

[BUGFIX] Reset legacy fields if no relations are found

If you add multiple images to a tt_content element
but mark all of them hidden, an image is shown which has

the uid of the number of images added to the element.

This is the case because TYPO3 puts the relation count in the
field and the frontend adapter service does not reset

the field if no relations are found.

The solution is to set the legacy fields in any case.

This change adds a test which fails without a fix

and another test which shows that the original behaviour

is not affected.

Resolves: #44988
Releases: 6.0, 6.1

Change-Id: 1a4690fb0a68cd4d6832aef6712bc69adf00f8a5f
Reviewed-on: https://review.typo3.0rg/17848

Reviewed-by: Jigal van Hemert

Tested-by: Jigal van Hemert

2015-08-04
https://review.typo3.org/17848

Revision 6d140293 - 2013-01-30 19:32 - Helmut Hummel

[BUGFIX] Reset legacy fields if no relations are found

If you add multiple images to a tt_content element
but mark all of them hidden, an image is shown which has

the uid of the number of images added to the element.

This is the case because TYPO3 puts the relation count in the
field and the frontend adapter service does not reset
the field if no relations are found.

The solution is to set the legacy fields in any case.

This change adds a test which fails without a fix
and another test which shows that the original behaviour

is not affected.

Change-Id: I2cacfe185e1371331ab7564413e43c7d6cce8556
Resolves: #44988

Releases: 6.0, 6.1

Reviewed-on: https://review.typo3.org/17871

Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

History

#1 - 2013-01-30 17:47 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/17848

#2 - 2013-01-30 18:30 - Anonymous
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:f5674cb505802de17248d8a522b292e5f515d00a.

#3 - 2013-01-30 19:31 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.

It is available at https://review.typo3.org/17871

#4 - 2013-01-30 20:30 - Anonymous
- Status changed from Under Review to Resolved
Applied in changeset commit:6d1402932b027837518e35693b1e835cd413de3b.

2015-08-04 3/3



